/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/Parameters.h"

namespace morpheo {
namespace behavioural {
@NAMESPACE_BEGIN

#undef  FUNCTION
#define FUNCTION "@COMPONENT::Parameters"
  Parameters::Parameters (bool is_toplevel):
    behavioural::Parameters ("@COMPONENT")
  {
    log_begin(@COMPONENT,FUNCTION);

    test();

    if (is_toplevel)
      {
        copy();
      }

    log_end(@COMPONENT,FUNCTION);
  };
  
// #undef  FUNCTION
// #define FUNCTION "@COMPONENT::Parameters (copy)"
//   Parameters::Parameters (Parameters & param)
//   {
//     log_begin(@COMPONENT,FUNCTION);
//     test();
//     log_end(@COMPONENT,FUNCTION);
//   };

#undef  FUNCTION
#define FUNCTION "@COMPONENT::~Parameters"
  Parameters::~Parameters (void) 
  {
    log_begin(@COMPONENT,FUNCTION);
    log_end(@COMPONENT,FUNCTION);
  };

#undef  FUNCTION
#define FUNCTION "@COMPONENT::copy"
  void Parameters::copy (void) 
  {
    log_begin(@COMPONENT,FUNCTION);
    log_end(@COMPONENT,FUNCTION);
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
